Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.propertybroker.property
Interface PropertyController

All Superinterfaces:
  Property

    public interface PropertyController

extends Property

Encapsulates setter methods used when initializing instances of `Property`. This interface has no dependencies on runtime specific objects, as it is intended for reuse across general component runtime environments where brokered communication across components may be necessary. See the corresponding getter methods in `Property` for detailed descriptions of the attributes set by the various setters in this interface.

In the WebSphere Portal environment, `PropertyBrokerService` may be used to create instances of `Property`. After instantiation, required fields must be set using the setters provided by this interface. Instead of explicit creation in this manner, these objects may be implicitly created by the runtime if information is provided in a WSDL file.

Since:
  5.1.0.1
See Also:
  `PropertyBrokerService`, `Property`

Method Summary
`void` | `setClassname(java.lang.String classname)` Sets the class used to hold the Property value.
`void` | `setDescription(java.lang.String description, java.util.Locale locale)` Sets a localized description for this property.
`void` | `setDirection(Direction direction)` Sets the direction of this property, i.e, whether it is produced or consumed.
`void` | `setName(java.lang.String name)` Sets the name of the property.
`void` | `setNamespace(java.lang.String namespace)` Sets the namespace of the property.
`void` | `setSchemaLocation(java.lang.String schemaLocation)` Sets the location of a file containing the XML schema describing the property.
`void` | `setTitle(java.lang.String title, java.util.Locale locale)` Sets a localized title for this property.
`void` | `setType(java.lang.String type)` Sets the type of the property.

Methods inherited from interface com.ibm.portal.propertybroker.property.Property
`getClassname, getClassName, getDescription, getDirection, getId, getName, getNamespace, getOwningDefinitionId, getSchemaLocation, getSupportedLocales, getTitle, getType`

Method Detail

### setName

    void setName(java.lang.String name)

  Sets the name of the property.

  Parameters:
    `name` - the name
  See Also:
    `Property.getName()`

### setType

    void setType(java.lang.String type)

  Sets the type of the property.

  Parameters:
    `type` - the type
  See Also:
    `Property.getType()`

### setNamespace

    void setNamespace(java.lang.String namespace)

  Sets the namespace of the property.

  Parameters:
    `namespace` - the namespace
  See Also:
    `Property.getNamespace()`

### setSchemaLocation

    void setSchemaLocation(java.lang.String schemaLocation)

  Sets the location of a file containing the XML schema describing the property.

  Parameters:
    `schemaLocation` - the location of the schema file
  See Also:
    `Property.getSchemaLocation()`

### setDirection

    void setDirection(Direction direction)

  Sets the direction of this property, i.e, whether it is produced or consumed.

  Parameters:
    `direction` - the value of the direction attribute.
  See Also:
    `Direction`, `Property.getDirection()`

### setTitle

    void setTitle(java.lang.String title,
                  java.util.Locale locale)

  Sets a localized title for this property.

  Parameters:
    `title` - a short description for this property for the provided locale
    `locale` - the current locale
  See Also:
    `Property.getTitle(Locale)`

### setDescription

    void setDescription(java.lang.String description,
                        java.util.Locale locale)

  Sets a localized description for this property.

  Parameters:
    `description` - a text description for this property for the provided locale
    `locale` - the current locale
  See Also:
    `Property.getDescription(Locale)`

### setClassname

    void setClassname(java.lang.String classname)

  Sets the class used to hold the Property value. Optional; if not set, defaults to java.lang.String.

  Parameters:
    `classname` - the name of the class used to hold instances of the Property value
  See Also:
    `Property.getClassname()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD